{     ArrayOfWord[0]  order
      ArrayOfWord[1]  pattern
      ArrayOfWord[2]  row
      ArrayOfWord[3]  speed
      ArrayOfWord[4]  base tempo
      ArrayOfWord[5]  # of tracks minus 1
      ArrayOfWord[6]  is 1 if module playing
      ArrayOfWord[7]  DMA buffer currently read (0 first half, 1 second half)
      ArrayOfWord[8]  length of order list
      ArrayOfWord[9]  # of patterns
      ArrayOfWord[10] # of instruments
      ArrayOfWord[11] is 1 if module file is truncated
      ArrayOfWord[12] DMA position in current half buffer
      ArrayOfWord[13] unused
      ArrayOfWord[14] is 1 if instruments are truncated to 64KB (EMS or DOS mode)
      ArrayOfWord[15] is 1 if a S3M pattern is corrupted
      ArrayOfWord[16] is 1 if module is an S3M
      ArrayOfWord[17] # of used instruments
      ArrayOfWord[18] # of used patterns
      ArrayOfWord[19] # of instruments in file
      ArrayOfWord[20] is 1 if linear frequency table is used (XM)
      ArrayOfWord[21] # of samples if module is an XM,
                      # of instruments otherwise
   procedure Get_Module_Status(var ArrayOfWord : MiscData);
}
uses playmods,player,routines;
var status : miscdata;
begin
  playxm('jbe_gspd.xm');
  repeat
    get_module_status(status);
    writeln(status[0]);
  until keypressed;
  stopxm;
  writeln(' G o d s p e e d . A c c e s s . J o b e . 2 o o o . A t . E s c a p e 2 k');
end.